*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
:root{
    --Dark-purple: #3A28DE;
    --Yellow: #FFE45E;
    --Pure-white: #FAFBFF;
    --Light-white:#E8E9FD;
    --Light-grey:#747283;
    --Black: #0F0F1E;
    --Gradient-start: #424ffe;
    --Gradient-end: rgba(58, 40, 222, 1);
}

/* Animations */

@keyframes fadeInUp {
    from {
        transform: translate3d(0,30px,0)
    }

    to {
        transform: translate3d(0,0,0);
        opacity: 1
    }
}

@-webkit-keyframes fadeInUp {
    from {
        transform: translate3d(0,30px,0)
    }

    to {
        transform: translate3d(0,0,0);
        opacity: 1
    }
}

.animated {
    opacity: 0;
    animation-name: fadeInUp;
    animation-duration: 1s;
    animation-fill-mode: both;
}

.fadein {
    opacity: 0;
}

/* End of Animations */


/* Cursor */
.cursor {
    position: absolute;
    width: 20px;
    height: 20px;
    background: var(--Dark-purple);
    border-radius: 50%;
    pointer-events: none;
    z-index: 20;
    transition: transform .15s ease-in-out, width 0.2s ease-in-out, height 0.2s ease-in-out;
  }
  
  .active::after {
    content: 'Ziehen';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 18px;
    font-weight: 500;
    text-align: center;
    color: var(--Pure-white);
    background: var(--Dark-purple);
    border-radius: 50%;
    pointer-events: none;
    z-index: 10;
    opacity: 1;
    transition: all 0.2s ease;
  }
  .active.cursor {
    width: 100px;
    height: 100px;
    transform: translate(-50%, -45%);
  }

/* Cursor */


#copy-notification {
    display: none;
    position: absolute;
    background-color: rgb(51, 51, 51, 0.6);
    color: #fff;
    padding: 12px 24px;
    border-radius: 10px;
    font-size: 18px;
    z-index: 1000;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
}


body::-webkit-scrollbar {
    display: none;
  }
body{ 
  overflow-x: hidden;
 font-family: "Nunito Sans";
  color: var(--Black);
  background-color: var(--Pure-white);
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;
  scroll-behavior: smooth;
}


.circle {
    position: absolute;
    z-index: -1;
    border:2px solid rgb(58, 40, 222, 0.12);
    height: 900px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    -moz-border-radius:50%;
    -webkit-border-radius: 50%;
    display: flex;
    align-items: center;
    padding-left: 30px;
}

.circle-y{
    border:2px solid var(--Yellow);
    height: 700px;
    opacity: 0.3;
    aspect-ratio: 1/1;
    border-radius: 50%;
    -moz-border-radius:50%;
    -webkit-border-radius: 50%;
}



h1{
    font-family: 'Nunito sans';
    font-weight: 700;
    font-size: clamp(2rem, 1.3523rem + 3.4545vw, 4.375rem);
}
h2{
    font-family: 'Nunito sans';
    font-weight: 800;
    font-size: clamp(1.5rem, 0.9545rem + 2.9091vw, 3.5rem);
}
h3{
    font-family: 'Nunito sans';
    font-weight: 700;
    font-size: clamp(1.25rem, 1.0114rem + 1.2727vw, 2.125rem);
}
h4{
    font-family: 'Nunito sans';
    font-weight: 700;
    font-size: clamp(1.25rem, 1.1818rem + 0.3636vw, 1.5rem);
    line-height: 1.8;
}
p{
    font-family: 'Nunito sans';
    font-weight: 400;
    font-size: clamp(1rem, 0.9659rem + 0.1818vw, 1.125rem);
    max-width: 600px;
    line-height: 2;
}
.xs{
    font-family: 'Nunito sans';
    font-weight: 400;
    font-size: clamp(0.875rem, 0.8409rem + 0.1818vw, 1rem);
}
.b{
    font-weight: 700;
}
.purple{
    color: var(--Dark-purple);
}
.lg{
    color: var(--Light-grey);
}
.serif{
font-family: "Playfair Display", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}


.sheet-half{
    display: flex;
    height: 100vh;
    flex-direction: row;
    align-items: center;
    padding: 0px 40px;
    max-width: 1440px;
    margin: auto;
    justify-content: space-between;

}

.sheet-flex{
    display: flex;
    flex-direction: column;
    height: min-content;
    max-width: 1440px;
    padding: 0px 40px;
    margin: auto;
}
.sheet-basic{
    display: flex;
    height: 100vh;
    padding: 0px 40px;
    max-width: 1440px;
    margin: auto;
    align-items: center;
}
.sheet-w100{
    display: flex;
    height: 100vh;
    padding: 0px;
    max-width: 100%;
    margin: auto;
}
.center{
    text-align: center;
    justify-content: center;
}
.l-align{
    align-items: start;
}
.mirror{
   flex-direction: row-reverse;
}

.col{
    flex-direction: column;
}
.overflow{
    overflow-y: hidden;
    overflow-x: hidden;
}

.text-half{
    display: flex;
    flex-direction: column;
}
.img-half{
    display: flex;
    justify-content: end;
}
.img-half-left{
    display: flex;
    justify-content: start;
}
.img-box{
    width: 550px;
    height: 550px;
    overflow: hidden;
    border-radius: 550px;
    justify-content: center;
    display: flex;
}
.img-full{
    height: auto;
    width: auto;
    object-fit: cover;
}
.text-container{
    max-width: 850px;
    text-align: justify;
    margin: auto;
    display: flex;
    flex-direction: column;
    padding: 180px 30px;
}
.word-break{
    word-break: break-all;
}

.mw-800{
    max-width: 800px;
    margin-bottom: 44px;
}
.mgb-10{
    margin-bottom: 10px;
}
.mgb-22{
    margin-bottom: 22px;
}
.mgb-42{
    margin-bottom: 42px;
}
.mgb-130{
    margin-bottom: 130px;
}
.lh-18{
    line-height: 1.8;
}
/*BUTTONS*/

.button-primary{
    display: flex;
    width: max-content;
    border-radius: 50px;
    align-items: center;
    gap: 10px;
    background-color: var(--Dark-purple);
    color: var(--Pure-white);
    padding: 8px 8px 8px 20px;
    cursor: pointer;
    margin-top: 42px;
    text-decoration: none;
}
.arrow-circle{
    display: flex;
    width: 44px;
    height: 44px;
    align-items: center;
    justify-content: center;
    background: var(--Pure-white);
    border-radius: 50%;
    padding: 10px;
    transition: all 300ms ease;
}

.button-primary:hover .arrow-circle{
    background: var(--Yellow);

}

.button-primary-h{
    display: flex;
    width: max-content;
    border-radius: 50px;
    align-items: center;
    background-color: var(--Dark-purple);
    color: var(--Pure-white) !important;
    cursor: pointer;
    padding: 10px 24px;
    text-decoration: none;
}
  

.button-footer{
    display: flex;
    width: max-content;
    border-radius: 50px;
    align-items: center;
    gap: 10px;
    color: var(--Dark-purple);
    cursor: pointer;
}
.arrow-circle-p{
    display: flex;
    width: 44px;
    height: 44px;
    align-items: center;
    justify-content: center;
    background: var(--Dark-purple);
    border-radius: 50%;
    padding: 10px;
    transition: all 300ms ease;
    transform: rotate(-90deg);
}

/*BUTTONS*/



/*Media screen*/


/* Portrait */

@media only screen and (min-width: 780px) and (max-width: 1200px) and (max-height: 1366px)  and (orientation: portrait) {

    .sheet-half{
        padding: 120px 20px;
        height: max-content;
        gap: 50px;
    }
    .img-box{
        width: 44vw;
        height: 44vw;
        margin: auto;
        overflow: hidden;
    }
    .cursor{
        display: none;
    }
}



@media only screen and (min-width: 780px) and (max-width: 1200px) and (orientation: landscape) {
    .img-box{
        width: 44vw;
        height: 44vw;
        margin: auto;
        overflow: hidden;
    }
    .sheet-half{
        gap: 50px;
    }
    .cursor{
        display: none;
    }

}

@media only screen and (min-width: 480px) and (max-width: 780px) {
    .sheet-half{
        flex-wrap: wrap-reverse;
        padding: 80px 20px;
        height: max-content;
        gap: 50px;
    }
    .sheet-flex{
        padding: 0px 20px;
    }
    .text-half{
        width: 100%;
    }
    .img-half-left{
        justify-content: center;
        width: 100%;
    }
    .img-half{
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .img-box{
        width: 450px;
        height: 450px;
        margin: auto;
        overflow: hidden;

    }

    .text-container{
        margin: auto;
        display: flex;
        flex-direction: column;
        padding: 180px 0px;
    }
    .cursor{
        display: none;
    }
}
@media only screen and (min-width: 300px) and (max-width: 480px) {

    .sheet-half{
        flex-wrap: wrap-reverse;
        padding: 80px 20px;
        height: max-content;
        gap: 50px;
    }
    .sheet-flex{
        padding: 0px 20px;
    }
    .img-half-left{
        justify-content: center;
        width: 100%;
    }

    .img-half{
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .img-box{
        width: 300px;
        height: 300px;
        margin: auto;
        overflow: hidden;
    }

    .text-container{
        margin: auto;
        display: flex;
        flex-direction: column;
        padding: 180px 0px;
    }
    .small-h{
        font-size: 26px;
    }
    .cursor{
        display: none;
    }
}


/*Media screen*/


/* Header section */





header {
    display: flex;
    align-items: center;
    position: fixed;
    justify-content: center;
    left: 0;
    right: 0;
    top: 0;
    z-index: 10;
    font-family: "Nunito Sans";
}
.header-sheet{
    max-width: 1440px;
    flex-direction: row;
    justify-content: space-between;
    display: flex;
    width: 100%;
    padding: 30px 18px;  
}
header .logo {
    align-items: center;
    display: flex;
    background-color: rgb(255, 255, 255, 0.8);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px); 
    padding: 12px 24px;
    border-radius: 50px;
    box-shadow:
  0px 7.3px 5.3px rgba(0, 0, 0, 0.028),
  0px 16.9px 17.9px rgba(0, 0, 0, 0.042),
  0px 44px 80px rgba(0, 0, 0, 0.07)
;
}
.logo-img {
    height: 36px;
    width: auto;
}
.header-link{
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    color: var(--Black);
    text-decoration: none;
    margin-left: 30px;
    transition: all 0.1s ease-in-out;
}

.nav-links {
    display: flex;
    border-radius: 50px;
    align-items: center;
    padding: 12px;
    background-color: rgb(255, 255, 255, 0.8);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px); 
    box-shadow:
  0px 7.3px 5.3px rgba(0, 0, 0, 0.028),
  0px 16.9px 17.9px rgba(0, 0, 0, 0.042),
  0px 44px 80px rgba(0, 0, 0, 0.07)
;
}
.nav-links a {
    color: var(--Black);
    text-decoration: none;
    margin-left: 30px;
    transition: all 0.1s ease-in-out;
}

.nav-links a:hover {
    color: var(--Dark-purple);
    text-decoration: none;
    transition: all 100ms ease-in-out;
 
}


.menu {
    background-color: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    padding: 0;
    z-index: 10;
  }
  .line {
    fill: none;
    stroke: black;
    stroke-width: 6;
    stroke-linecap: round;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
      stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
  }
  .line1 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
  }
  .line2 {
    stroke-dasharray: 60 60;
    stroke-width: 6;
  }
  .line3 {
    stroke-dasharray: 60 207;
    stroke-width: 6;
  }
  .opened .line1 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
  }
  .opened .line2 {
    stroke-dasharray: 1 60;
    stroke-dashoffset: -30;
    stroke-width: 6;
  }
  .opened .line3 {
    stroke-dasharray: 90 207;
    stroke-dashoffset: -134;
    stroke-width: 6;
  }
  




#hamburger {
display: none;
}


@media screen and (min-width: 768px) and (max-width:1080px){

.header-link{
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}


}


/* Základné štýly pre skryté menu */

@media screen and (max-width: 950px) {


    header .logo {
        align-items: center;
        display: flex;
        background-color: transparent;
        -webkit-backdrop-filter: unset;
        backdrop-filter: unset; 
        padding: 12px;
        border-radius: 50px;
        box-shadow: none;
        height: max-content;
    }

    .logo-img {
        height: 32px;
        width: auto;
    }
    .header-sheet{
        max-width: 1440px;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        display: flex;
        width: 100%;
        padding: 10px 20px;  
        background-color: rgb(255, 255, 255, 0.8);
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px); 
        border-radius:  0px 0px 30px 30px;
        box-shadow:
      0px 7.3px 5.3px rgba(0, 0, 0, 0.028),
      0px 16.9px 17.9px rgba(0, 0, 0, 0.042),
      0px 44px 80px rgba(0, 0, 0, 0.07);
    }

    .nav-links {
        flex-direction: column;
        position: absolute;
        display: flex;
        align-items: center;
        margin: auto;
        border-radius: 0px;
        top: 0;
        left: 0;
        right: 0;
        width: 100%;
        height: 100vh;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0s ease-in-out, visibility 0s linear 0.2s;
        text-align: center;
        background-color: rgba(237, 238, 242, 0.6);
        -webkit-backdrop-filter: blur(16px);
        backdrop-filter: blur(16px); 
        gap: 10px;
  
    }
    
    #hamburger {
        display: block;
    }
    
    #hamburger span {
        display: block;
        width: 28px;
        height: 3px;
        background-color: var(--Night-Black);
        margin: 7px auto;
        transition: 0.3s;
        border-radius: 2px;
    }

    .menu-open {
        height: 100dvh; 
        background-color: var(--Light-white);
        -webkit-backdrop-filter: blur(10px);
        backdrop-filter: blur(10px);
        padding-bottom: 30px;
        justify-content: end;
        display: flex;
        align-items: end;
        opacity: 1;
        visibility: visible;
        transition: opacity 0.2s ease-in-out, visibility 0s linear 0s;
    } 


    .nav-links a {
        font-size: clamp(2.5rem, 1.5rem + 5.3333vw, 3rem);
        margin: unset;
        margin-right: 18px;
        font-weight: 700;
    }
    .button-primary-h{
        display: flex;
        width: max-content;
        border-radius: 50px;
        align-items: center;
        background-color: var(--Dark-purple);
        color: var(--Pure-white) !important;
        cursor: pointer;
        padding: 14px 30px;
        text-decoration: none;

    }




.container {
    cursor: pointer;
    display: flex;
    width: auto;
    margin-right: -20px;
 
  }
  
}

@media screen and (max-width: 325px){
    .logo-img {
        height: 18px;
        width: auto;
    }

    

}


/* End of Header section */


/* Footer */

footer{
    background-color: var(--Light-white);
    background: url(img/footer-circle.png) no-repeat -25vw 25%,
    radial-gradient(circle at 0% 70%, rgb(255, 228, 94, 0.3), #E8E9FD 30%);
    background-repeat: no-repeat;         
}
.footer-sheet{
    display: flex;
    align-items: center;
    max-width: 1440px;
    height: 600px;
    padding: 30px;
    margin: auto;
    flex-direction: column; 
}
.container-f{
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
    margin: auto;

}
.cta-footer{
    display: flex;
    text-align: left;
    align-items: start;
    flex-direction: column;
}
.logo-footer{
    height: 100px;
    margin-bottom: 34px;
}
.link-f-container{
    display: flex;
    gap: 80px;
}

.link-box{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.link-f{
    font-size: 16px;
    font-family: 700;
    text-decoration: none;
    color: var(--Black);
    cursor: pointer;
    max-width: 200px;
}
.link-f:hover{
    color: var(--Dark-purple);
}
.copyright-row{
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}
.copyright-text{
    font-size: 16px;
}




@media only screen and (min-width: 300px) and (max-width: 980px) {
    .footer-sheet{
        height: max-content;
    }
    .container-f{
       flex-wrap: wrap;
        gap: 50px;
    }
    .logo-footer{
        height: 60px;

    }
    .link-f-container{
        justify-content: space-between;
        flex-wrap: wrap;
        width: 100%;
        gap: 40px;
    }

    .link-box{
        display: flex;
        gap: 8px;
    }
    .copyright-row{
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
        margin-top: 30px;
    }
    .copyright-text{
        font-size: 14px;
    }

footer{
    background-color: var(--Light-white);
    background: url(img/footer-circle.png) no-repeat -180vw 35%,
    radial-gradient(circle at 0% 30%, rgb(255, 228, 94, 0.3), #E8E9FD 50%);
    background-repeat: no-repeat;         
}
}
/* Footer */


/* Made by worq. */
.worq-container{
    display: flex;
    width: 100%;
    justify-content: center;
    height: 40px;
    align-items: center;
    gap: 10px;
    padding: 24px 30px;
    border-radius: 50px;
    text-decoration: none;
    margin-top: 40px;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px); 
    background: rgba(83, 98, 235, 0.05);
}

.text-worq{
    font-size: 18px;
    font-weight: 600;
    text-decoration: none;
    color: var(--Dark-purple);
}

.logo-worq{
    height: 20px;
    width: auto;
    margin-top: 6px;
}

/* Made by worq. */